---
title: CSS Transforms
slug: Web/CSS/CSS_Transforms
tags:
  - CSS
  - CSS Transforms
  - Guide
  - Overview
  - Reference
---
<div>{{CSSRef}}</div>

<p><strong>CSS Transforms</strong> is a module of CSS that defines how elements styled with CSS can be transformed in two-dimensional or three-dimensional space.</p>

<h2 id="Reference">Reference</h2>

<h3 id="Properties">Properties</h3>

<div class="index">
<ul>
 <li>{{cssxref("backface-visibility")}}</li>
 <li>{{cssxref("perspective")}}</li>
 <li>{{cssxref("perspective-origin")}}</li>
 <li>{{cssxref("rotate")}}</li>
 <li>{{cssxref("scale")}}</li>
 <li>{{cssxref("transform")}}</li>
 <li>{{cssxref("transform-box")}}</li>
 <li>{{cssxref("transform-origin")}}</li>
 <li>{{cssxref("transform-style")}}</li>
 <li>{{cssxref("translate")}}</li>
</ul>
</div>

<h3 id="Data_types">Data types</h3>

<div class="index">
<ul>
 <li>{{cssxref("&lt;transform-function&gt;")}}</li>
</ul>
</div>

<h2 id="Guides">Guides</h2>

<dl>
 <dt><a href="/en-US/docs/Web/CSS/CSS_Transforms/Using_CSS_transforms">Using CSS transforms</a></dt>
 <dd>Step-by-step tutorial about how to transform elements styled with CSS.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS Transforms 2') }}</td>
   <td>{{ Spec2('CSS Transforms 2') }}</td>
   <td>Adds individual transforms.</td>
  </tr>
  <tr>
   <td>{{ SpecName('CSS3 Transforms') }}</td>
   <td>{{ Spec2('CSS3 Transforms') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>
